Groovy 1.7.10

## org.codehaus.groovy.ant
[Java] Class GroovycTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.codehaus.groovy.ant.CompileTaskSupport
                      org.codehaus.groovy.ant.GroovycTask

    public class GroovycTask
    extends CompileTaskSupport

Compiles Groovy source files.

Authors:
  Jason Dillon

Version:
  \$Id: GroovycTask.java 7819 2007-08-30 03:46:54Z user57 \$

Field Summary
`protected boolean` | `force`

Fields inherited from class CompileTaskSupport
classpath, config, destdir, failOnError, log, src

Method Summary
`protected void` | `compile()`
`void` | `setForce(boolean flag)`

Methods inherited from class CompileTaskSupport
compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate

Methods inherited from class MatchingTask

add, setProject, setIncludes, addDate, addNot, addAnd, addOr, addContains, createInclude, createIncludesFile, createExclude, createExcludesFile, createPatternSet, XsetItems, setExcludes, XsetIgnore, setDefaultexcludes, setIncludesfile, setExcludesfile, setCaseSensitive, setFollowSymlinks, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addSelector, addNone, addMajority, addSize, addFilename, addCustom, addPresent, addDepth, addDepend, addContainsRegexp, addDifferent, addType, addModified, log, log, log, log, init, execute, perform, maybeConfigure, setTaskType, setTaskName, setOwningTarget, getTaskName, getOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, reconfigure, getTaskType, bindToOwner, clone, getLocation, getDescription, setLocation, getProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Task
log, log, log, log, init, execute, perform, maybeConfigure, setTaskType, setTaskName, setOwningTarget, getTaskName, getOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, reconfigure, getTaskType, bindToOwner, clone, getLocation, getDescription, setLocation, getProject, setDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class ProjectComponent
clone, log, log, getLocation, getDescription, setLocation, getProject, setDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### force

    protected boolean force

Method Detail

### compile

    protected void compile()

### setForce

    public void setForce(boolean flag)

Copyright © 2003-2010 The Codehaus. All rights reserved.